%define daemon_user monitor
%define htmlroot /var/www/html
%define httpconfdir httpd/conf.d
%define daemon_group apache
%define web_user apache
%define ninja_module_name autodiscovery
Name: op5-autodiscovery-ui
Version: %{op5version}
Release: %{op5release}
License: OP5 EULA
Vendor: OP5 AB
Url: http://www.op5.com
BuildRoot: %{_tmppath}/%{name}-%{version}
Summary: Autodiscovery UI
Group: Applications/Internet
Prefix: /opt/monitor/op5/ninja
BuildArch: noarch
Requires: monitor-ninja >= 3.1
BuildRequires: monitor-ninja
BuildRequires: monitor-ninja-devel
%if 0%{?rhel} <= 6
BuildRequires: rh-nodejs6-npm
%else
BuildRequires: npm
%endif
Source: %name-%version.tar.gz

%description
Autodiscovery UI for Ninja

%prep
%setup -q

%build
php build.php
%if 0%{?rhel} <= 6
# There is a bug in the rh-nodejs6 package that causes node-sass to segfault,
# but it seems that we do not really need node-sass. So we ignore the error
# and pray everything else we need is installed OK. Link to bug report:
# https://bugzilla.redhat.com/show_bug.cgi?id=1513067
set +e
scl enable rh-nodejs6 -- npm install angular
scl enable rh-nodejs6 -- npm install
set -e
scl enable rh-nodejs6 -- ./node_modules/.bin/ng build -prod --base-href /%{ninja_module_name}/
%else
npm install
npm install @angular/cli
./node_modules/.bin/ng build -prod --base-href /%{ninja_module_name}/
%endif

%install
rm --recursive --force %buildroot

mkdir --parents --mode 755 %buildroot%prefix/modules
cp --recursive %{ninja_module_name} %buildroot%prefix/modules

mkdir --parents %buildroot/var/www/html
cp --archive dist %buildroot/var/www/html/%{ninja_module_name}

mkdir --parent %buildroot/%{_sysconfdir}/httpd/conf.d
cp httpd-%{ninja_module_name}.conf %buildroot/%{_sysconfdir}/httpd/conf.d/


%post
%if 0%{?rhel} <= 6
service httpd restart || exit 0
%else
systemctl restart httpd.service || exit 0
%endif


%files
%defattr(644,%daemon_user,%daemon_group,755)
%{_sysconfdir}/httpd/conf.d/httpd-%{ninja_module_name}.conf
%prefix/modules/%{ninja_module_name}
/var/www/html/%{ninja_module_name}

%clean
rm -rf %buildroot


%changelog
* Thu Apr 26 2018 Petter Nyström <pnystrom@op5.com>
- Add EL6 support
* Thu Sep 28 2017 Mattias Ryrlén <mattiasr@op5.com>
- Initial build
